org.rrd4j.core.jrrd

## Enum ConsolidationFunctionType

- java.lang.Object
- - java.lang.Enum<ConsolidationFunctionType>
  - - org.rrd4j.core.jrrd.ConsolidationFunctionType

- All Implemented Interfaces:
    Serializable, Comparable<ConsolidationFunctionType>

      public enum ConsolidationFunctionType
      extends Enum<ConsolidationFunctionType>

  Class ConsolidationFunctionType
  Version:
    $Revision: 1.1 $

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVERAGE` Average consolidation function.
    `DEVPREDICT` Deviation prediction consolidation function.
    `DEVSEASONAL` Deviation seasonal consolidation function.
    `FAILURES` Failures consolidation function.
    `HWPREDICT` Holt-Winters prediction consolidation function.
    `LAST` Last value consolidation function.
    `MAX` Maximum consolidation function.
    `MHWPREDICT` Multiply Holt-Winters prediction consolidation function.
    `MIN` Minimum consolidation function.
    `SEASONAL` Seasonal consolidation function.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ConsolFun` | `getConsolFun()`
    `static ConsolidationFunctionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConsolidationFunctionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AVERAGE

          public static final ConsolidationFunctionType AVERAGE

      Average consolidation function.

    - #### DEVPREDICT

          public static final ConsolidationFunctionType DEVPREDICT

      Deviation prediction consolidation function.

    - #### DEVSEASONAL

          public static final ConsolidationFunctionType DEVSEASONAL

      Deviation seasonal consolidation function.

    - #### FAILURES

          public static final ConsolidationFunctionType FAILURES

      Failures consolidation function.

    - #### HWPREDICT

          public static final ConsolidationFunctionType HWPREDICT

      Holt-Winters prediction consolidation function.

    - #### LAST

          public static final ConsolidationFunctionType LAST

      Last value consolidation function.

    - #### MAX

          public static final ConsolidationFunctionType MAX

      Maximum consolidation function.

    - #### MHWPREDICT

          public static final ConsolidationFunctionType MHWPREDICT

      Multiply Holt-Winters prediction consolidation function.

    - #### MIN

          public static final ConsolidationFunctionType MIN

      Minimum consolidation function.

    - #### SEASONAL

          public static final ConsolidationFunctionType SEASONAL

      Seasonal consolidation function.

  - ### Method Detail

    - #### getConsolFun

          public abstract ConsolFun getConsolFun()

    - #### valueOf

          public static ConsolidationFunctionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static ConsolidationFunctionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConsolidationFunctionType c : ConsolidationFunctionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared